GrailsConsoleLoggerManager (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class GrailsConsoleLoggerManager

- org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsConsoleLoggerManager

- Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.codehaus.plexus.logging.AbstractLoggerManager` | `ROLE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.codehaus.plexus.logging.Logger` | `logger`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getActiveLoggerCount()`
    `org.codehaus.plexus.logging.Logger` | `getLoggerForComponent(java.lang.String role, java.lang.String hint)`
    `int` | `getThreshold()`
    `void` | `returnComponentLogger(java.lang.String role, java.lang.String hint)`
    `void` | `setThreshold(int threshold)`
    `void` | `setThresholds(int threshold)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.plexus.logging.AbstractLoggerManager` | `org.codehaus.plexus.logging.AbstractLoggerManager#getLoggerForComponent(java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#returnComponentLogger(java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#wait(long, int), org.codehaus.plexus.logging.AbstractLoggerManager#wait(long), org.codehaus.plexus.logging.AbstractLoggerManager#wait(), org.codehaus.plexus.logging.AbstractLoggerManager#equals(java.lang.Object), org.codehaus.plexus.logging.AbstractLoggerManager#toString(), org.codehaus.plexus.logging.AbstractLoggerManager#hashCode(), org.codehaus.plexus.logging.AbstractLoggerManager#getClass(), org.codehaus.plexus.logging.AbstractLoggerManager#notify(), org.codehaus.plexus.logging.AbstractLoggerManager#notifyAll(), org.codehaus.plexus.logging.AbstractLoggerManager#setThreshold(int), org.codehaus.plexus.logging.AbstractLoggerManager#getLoggerForComponent(java.lang.String, java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#getThreshold(), org.codehaus.plexus.logging.AbstractLoggerManager#getActiveLoggerCount(), org.codehaus.plexus.logging.AbstractLoggerManager#returnComponentLogger(java.lang.String, java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#setThresholds(int)`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.codehaus.plexus.logging.Logger logger

  - ### Method Detail

    - #### int getActiveLoggerCount()

    - #### org.codehaus.plexus.logging.Logger getLoggerForComponent(java.lang.String role, java.lang.String hint)

    - #### int getThreshold()

    - #### void returnComponentLogger(java.lang.String role, java.lang.String hint)

    - #### void setThreshold(int threshold)

    - #### void setThresholds(int threshold)